/**
 * 尾部信息相关的操作
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _util = require('./util');

/**
 * 生成尾部信息, 具体结构可以看doc/tail.docx
 * @param {Buffer} tail 尾部32字节
 * @param {Number} 校验和
 * @return {Buffer} 生成的尾部信息
 *
 */
var generatorFooter = function generatorFooter(tail, checksum) {
  var _checkSumToHex = (0, _util.checkSumToHex)(checksum);

  var highHex = _checkSumToHex.highHex;
  var lowHex = _checkSumToHex.lowHex;

  //16位校验和的高字节
  tail.writeUInt16LE(0, 20);
  tail.writeUInt8(0, 22);
  tail.writeUInt8(highHex, 23);
  //16位校验和的低字节
  tail.writeUInt16LE(0, 24);
  tail.writeUInt8(0, 26);
  tail.writeUInt8(lowHex, 27);

  return tail;
};
exports.generatorFooter = generatorFooter;